Bug 81009 - gui problem: unable to press enter at last step in new project wizard
Summary: gui problem: unable to press enter at last step in new project wizard
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Unclassified
Component: appwizard (show other bugs)
Version: 1.0.0
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KDevelop Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-06 00:51 UTC by Alexander Rødseth
Modified: 2009-01-22 23:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Rødseth 2004-05-06 00:51:03 UTC
Version:           3.0.3 (using KDE KDE 3.2.2)
Installed from:    Debian testing/unstable Packages
Compiler:          gcc 3.3.3 
OS:          Linux

How to reproduce:
1. Start the "new project" wizard.
2. Try to press enter at the last step

Expected behavior:
- That enter presses the "Finish" button
Comment 1 Amilcar do Carmo Lucas 2004-07-19 23:08:38 UTC
We have a new appwizard
Comment 2 Jens Dagerbo 2004-07-20 00:28:26 UTC
... which suffers from the same problem.

This is probably a 5 min thing to fix. Let's see how much longer we can keep this open, shall we? ;)
Comment 3 Alexander Dymo 2006-12-16 14:27:48 UTC
SVN commit 614132 by dymo:

Sometimes it takes 2.5 years to write two lines of code :)
Make finish button default at the last page of app wizard.
BUG: 81009


 M  +3 -0      appwizarddlg.cpp  


--- branches/kdevelop/3.4/parts/appwizard/appwizarddlg.cpp #614131:614132
@@ -1046,7 +1046,10 @@
 {
 	kdDebug(9010) << "AppWizardDialog::pageChanged()" << endl;
 	projectLocationChanged();
+	if (currentPage() == m_lastPage)
+		finishButton()->setDefault(true);
 
+
 	//it is possible that project name was changed - we need to update all vcs integrator dialogs
 	for (QMap<int, VCSDialog*>::iterator it = m_integratorDialogs.begin();
 		it != m_integratorDialogs.end(); ++it)